Package org.eclipse.m2m.atl.adt

# Class AtlBuildVisitor

java.lang.Object
org.eclipse.m2m.atl.adt.AtlResourceVisitor
org.eclipse.m2m.atl.adt.AtlBuildVisitor

All Implemented Interfaces:
  `org.eclipse.core.resources.IResourceVisitor`

public class AtlBuildVisitor extends AtlResourceVisitor
The ATL build visitor.

## Constructor Summary

Constructors
Constructor
Description
`AtlBuildVisitor(org.eclipse.core.runtime.IProgressMonitor monitor)`
Creates the visitor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`visit(org.eclipse.core.resources.IResource resource)`

### Methods inherited from class org.eclipse.m2m.atl.adt.AtlResourceVisitor

`getAsmFile, getBytecodeFile, getEmftvmFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlBuildVisitor

public AtlBuildVisitor(org.eclipse.core.runtime.IProgressMonitor monitor)
Creates the visitor.

Parameters:
  `monitor` - the progress monitor

## Method Details

### visit

public boolean visit(org.eclipse.core.resources.IResource resource) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  - `IResourceVisitor.visit(IResource)`